GoConqr has a new look! Let us know what you think.

Mind map

REST API

Michelle Luong English

Map content

REST API

  1. Representational State Transfer

    • Architecture style for designing networked applications
      • Relies on a stateless, client-server protocol, almost always HTTP
    • Treats server objects as resources that can be created of destroyed. They're like posts that can be requested
    • Can be used by virtually any programming language. Mainly JSON
    • Client Server
    • REST is a set of principles that define how Web standards, such as HTTP and URLs, are supposed to work
  2. Application Programming Interface

    • APIs are Everywhere
    • Contract provided by one piece of software to another
      • Structured request and response
        • Like ordering food and waiter brings it back to chef, chef cooks it and water brings back food.
    • Response
    • Request
  3. Authentication

    • Some API's require authentication to use their service. This could be free or paid
    • curl https://

Information

Description
Mind Map on REST API, created by Michelle Luong on 05/05/2021.
Created by
Michelle Luong
Views
2
Rating

Feedback

What is it about?

What do you think of the new look?

How do you like it?